Bug 139755 - Sound Juicer displays no tracks
Sound Juicer displays no tracks
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Colin Walters
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 16:09 EST by Quereller
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-08 04:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Quereller 2004-11-17 16:09:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
The problem hapens only with 1 audio-cd.
Sound Juicer displays no information about the cd.
Gnome-cd displays the track information just fine.
Sound Juicer autputs this errormessage:

** (sound-juicer:3619): CRITICAL **: file sj-util.c: line 209
(g_list_deep_free): assertion `l != NULL' failed

The audi-cd is: Beethoven Symphonien No. 5&7, Wiener Philharmoniker
some classical stuff :-)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert cd
2. Press Re-Read
Comment 1 Need Real Name 2004-11-28 13:26:30 EST
This is a "Me too" report.  I get the same g_list_deep_free assertion
failure on Zappa's Hot Rats and Jazz from Hell CDs.  I've tried
swapping CD drives and IDE controllers, but always see the same
failure.  I never see any error messages in /var/log/messages or from
dmesg.  Grip works fine with CDs in all hardware configurations.

While this doesn't seem like it has anything to do with my hardware
configuration, here are some bits of information about my computer.

From uname -a:
Linux papa.kodis.org 2.6.9-1.681_FC3 #1 Thu Nov 18 15:10:10 EST 2004
i686 i686 i386 GNU/Linux

From lspci -v:
00:0c.0 Unknown mass storage controller: Silicon Image, Inc. (formerly
CMD Technology Inc) PCI0680 Ultra ATA-133 Host Controller (rev 02)
        Subsystem: Silicon Image, Inc. (formerly CMD Technology Inc)
PCI0680 Ultra ATA-133 Host Controller
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at 8000 [size=8]
        I/O ports at 7800 [size=4]
        I/O ports at 7400 [size=8]
        I/O ports at 7000 [size=4]
        I/O ports at 6800 [size=16]
        Memory at e3800000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <available only to root>

and from dmesg:
SiI680: IDE controller at PCI slot 0000:00:0c.0
ACPI: PCI interrupt 0000:00:0c.0[A] -> GSI 11 (level, low) -> IRQ 11
SiI680: chipset revision 2
SiI680: BASE CLOCK == 133
SiI680: 100% native mode on irq 11
    ide2: MMIO-DMA , BIOS settings: hde:pio, hdf:pio
    ide3: MMIO-DMA , BIOS settings: hdg:pio, hdh:pio
Probing IDE interface ide2...
ide2 at 0x32802080-0x32802087,0x3280208a on irq 11
Probing IDE interface ide3...
Probing IDE interface ide3...
Probing IDE interface ide4...
ide4: Wait for ready failed before probe !
Probing IDE interface ide5...
ide5: Wait for ready failed before probe !
hda: max request size: 128KiB
hda: 240121728 sectors (122942 MB) w/2048KiB Cache, CHS=65535/16/63,
hda: cache flushes supported
 hda: hda1 hda2 hda3 hda4 < hda5 >
hdc: max request size: 128KiB
hdc: 234441648 sectors (120034 MB) w/2048KiB Cache, CHS=65535/16/63,
hdc: cache flushes not supported
 hdc: hdc1
hde: ATAPI 52X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20

Note You need to log in before you can comment on or make changes to this bug.